<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sale_invoice_details', function (Blueprint $table) {
            $table->decimal('customer_amount',10,3)->nullable()->after('basic_amount');
            $table->decimal('tpa_amount',10,3)->nullable()->after('basic_amount');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sale_invoice_details', function (Blueprint $table) {
            $table->dropColumn(['customer_amount','tpa_amount']);
        });
    }
};
